package gay.pizza.CavesOfJolk

object XnaColor
{
	val Transparent = Util.colorFromAbgr8888(0x00000000u)
	val AliceBlue = Util.colorFromAbgr8888(0xFFFFF8F0u)
	val AntiqueWhite = Util.colorFromAbgr8888(0xFFD7EBFAu)
	val Aqua = Util.colorFromAbgr8888(0xFFFFFF00u)
	val Aquamarine = Util.colorFromAbgr8888(0xFFD4FF7Fu)
	val Azure = Util.colorFromAbgr8888(0xFFFFFFF0u)
	val Beige = Util.colorFromAbgr8888(0xFFDCF5F5u)
	val Bisque = Util.colorFromAbgr8888(0xFFC4E4FFu)
	val Black = Util.colorFromAbgr8888(0xFF000000u)
	val BlanchedAlmond = Util.colorFromAbgr8888(0xFFCDEBFFu)
	val Blue = Util.colorFromAbgr8888(0xFFFF0000u)
	val BlueViolet = Util.colorFromAbgr8888(0xFFE22B8Au)
	val Brown = Util.colorFromAbgr8888(0xFF2A2AA5u)
	val BurlyWood = Util.colorFromAbgr8888(0xFF87B8DEu)
	val CadetBlue = Util.colorFromAbgr8888(0xFFA09E5Fu)
	val Chartreuse = Util.colorFromAbgr8888(0xFF00FF7Fu)
	val Chocolate = Util.colorFromAbgr8888(0xFF1E69D2u)
	val Coral = Util.colorFromAbgr8888(0xFF507FFFu)
	val CornflowerBlue = Util.colorFromAbgr8888(0xFFED9564u)
	val Cornsilk = Util.colorFromAbgr8888(0xFFDCF8FFu)
	val Crimson = Util.colorFromAbgr8888(0xFF3C14DCu)
	val Cyan = Util.colorFromAbgr8888(0xFFFFFF00u)
	val DarkBlue = Util.colorFromAbgr8888(0xFF8B0000u)
	val DarkCyan = Util.colorFromAbgr8888(0xFF8B8B00u)
	val DarkGoldenrod = Util.colorFromAbgr8888(0xFF0B86B8u)
	val DarkGray = Util.colorFromAbgr8888(0xFFA9A9A9u)
	val DarkGreen = Util.colorFromAbgr8888(0xFF006400u)
	val DarkKhaki = Util.colorFromAbgr8888(0xFF6BB7BDu)
	val DarkMagenta = Util.colorFromAbgr8888(0xFF8B008Bu)
	val DarkOliveGreen = Util.colorFromAbgr8888(0xFF2F6B55u)
	val DarkOrange = Util.colorFromAbgr8888(0xFF008CFFu)
	val DarkOrchid = Util.colorFromAbgr8888(0xFFCC3299u)
	val DarkRed = Util.colorFromAbgr8888(0xFF00008Bu)
	val DarkSalmon = Util.colorFromAbgr8888(0xFF7A96E9u)
	val DarkSeaGreen = Util.colorFromAbgr8888(0xFF8BBC8Fu)
	val DarkSlateBlue = Util.colorFromAbgr8888(0xFF8B3D48u)
	val DarkSlateGray = Util.colorFromAbgr8888(0xFF4F4F2Fu)
	val DarkTurquoise = Util.colorFromAbgr8888(0xFFD1CE00u)
	val DarkViolet = Util.colorFromAbgr8888(0xFFD30094u)
	val DeepPink = Util.colorFromAbgr8888(0xFF9314FFu)
	val DeepSkyBlue = Util.colorFromAbgr8888(0xFFFFBF00u)
	val DimGray = Util.colorFromAbgr8888(0xFF696969u)
	val DodgerBlue = Util.colorFromAbgr8888(0xFFFF901Eu)
	val Firebrick = Util.colorFromAbgr8888(0xFF2222B2u)
	val FloralWhite = Util.colorFromAbgr8888(0xFFF0FAFFu)
	val ForestGreen = Util.colorFromAbgr8888(0xFF228B22u)
	val Fuchsia = Util.colorFromAbgr8888(0xFFFF00FFu)
	val Gainsboro = Util.colorFromAbgr8888(0xFFDCDCDCu)
	val GhostWhite = Util.colorFromAbgr8888(0xFFFFF8F8u)
	val Gold = Util.colorFromAbgr8888(0xFF00D7FFu)
	val Goldenrod = Util.colorFromAbgr8888(0xFF20A5DAu)
	val Gray = Util.colorFromAbgr8888(0xFF808080u)
	val Green = Util.colorFromAbgr8888(0xFF008000u)
	val GreenYellow = Util.colorFromAbgr8888(0xFF2FFFADu)
	val Honeydew = Util.colorFromAbgr8888(0xFFF0FFF0u)
	val HotPink = Util.colorFromAbgr8888(0xFFB469FFu)
	val IndianRed = Util.colorFromAbgr8888(0xFF5C5CCDu)
	val Indigo = Util.colorFromAbgr8888(0xFF82004Bu)
	val Ivory = Util.colorFromAbgr8888(0xFFF0FFFFu)
	val Khaki = Util.colorFromAbgr8888(0xFF8CE6F0u)
	val Lavender = Util.colorFromAbgr8888(0xFFFAE6E6u)
	val LavenderBlush = Util.colorFromAbgr8888(0xFFF5F0FFu)
	val LawnGreen = Util.colorFromAbgr8888(0xFF00FC7Cu)
	val LemonChiffon = Util.colorFromAbgr8888(0xFFCDFAFFu)
	val LightBlue = Util.colorFromAbgr8888(0xFFE6D8ADu)
	val LightCoral = Util.colorFromAbgr8888(0xFF8080F0u)
	val LightCyan = Util.colorFromAbgr8888(0xFFFFFFE0u)
	val LightGoldenrodYellow = Util.colorFromAbgr8888(0xFFD2FAFAu)
	val LightGray = Util.colorFromAbgr8888(0xFFD3D3D3u)
	val LightGreen = Util.colorFromAbgr8888(0xFF90EE90u)
	val LightPink = Util.colorFromAbgr8888(0xFFC1B6FFu)
	val LightSalmon = Util.colorFromAbgr8888(0xFF7AA0FFu)
	val LightSeaGreen = Util.colorFromAbgr8888(0xFFAAB220u)
	val LightSkyBlue = Util.colorFromAbgr8888(0xFFFACE87u)
	val LightSlateGray = Util.colorFromAbgr8888(0xFF998877u)
	val LightSteelBlue = Util.colorFromAbgr8888(0xFFDEC4B0u)
	val LightYellow = Util.colorFromAbgr8888(0xFFE0FFFFu)
	val Lime = Util.colorFromAbgr8888(0xFF00FF00u)
	val LimeGreen = Util.colorFromAbgr8888(0xFF32CD32u)
	val Linen = Util.colorFromAbgr8888(0xFFE6F0FAu)
	val Magenta = Util.colorFromAbgr8888(0xFFFF00FFu)
	val Maroon = Util.colorFromAbgr8888(0xFF000080u)
	val MediumAquamarine = Util.colorFromAbgr8888(0xFFAACD66u)
	val MediumBlue = Util.colorFromAbgr8888(0xFFCD0000u)
	val MediumOrchid = Util.colorFromAbgr8888(0xFFD355BAu)
	val MediumPurple = Util.colorFromAbgr8888(0xFFDB7093u)
	val MediumSeaGreen = Util.colorFromAbgr8888(0xFF71B33Cu)
	val MediumSlateBlue = Util.colorFromAbgr8888(0xFFEE687Bu)
	val MediumSpringGreen = Util.colorFromAbgr8888(0xFF9AFA00u)
	val MediumTurquoise = Util.colorFromAbgr8888(0xFFCCD148u)
	val MediumVioletRed = Util.colorFromAbgr8888(0xFF8515C7u)
	val MidnightBlue = Util.colorFromAbgr8888(0xFF701919u)
	val MintCream = Util.colorFromAbgr8888(0xFFFAFFF5u)
	val MistyRose = Util.colorFromAbgr8888(0xFFE1E4FFu)
	val Moccasin = Util.colorFromAbgr8888(0xFFB5E4FFu)
	val MonoGameOrange = Util.colorFromAbgr8888(0xFF003CE7u)
	val NavajoWhite = Util.colorFromAbgr8888(0xFFADDEFFu)
	val Navy = Util.colorFromAbgr8888(0xFF800000u)
	val OldLace = Util.colorFromAbgr8888(0xFFE6F5FDu)
	val Olive = Util.colorFromAbgr8888(0xFF008080u)
	val OliveDrab = Util.colorFromAbgr8888(0xFF238E6Bu)
	val Orange = Util.colorFromAbgr8888(0xFF00A5FFu)
	val OrangeRed = Util.colorFromAbgr8888(0xFF0045FFu)
	val Orchid = Util.colorFromAbgr8888(0xFFD670DAu)
	val PaleGoldenrod = Util.colorFromAbgr8888(0xFFAAE8EEu)
	val PaleGreen = Util.colorFromAbgr8888(0xFF98FB98u)
	val PaleTurquoise = Util.colorFromAbgr8888(0xFFEEEEAFu)
	val PaleVioletRed = Util.colorFromAbgr8888(0xFF9370DBu)
	val PapayaWhip = Util.colorFromAbgr8888(0xFFD5EFFFu)
	val PeachPuff = Util.colorFromAbgr8888(0xFFB9DAFFu)
	val Peru = Util.colorFromAbgr8888(0xFF3F85CDu)
	val Pink = Util.colorFromAbgr8888(0xFFCBC0FFu)
	val Plum = Util.colorFromAbgr8888(0xFFDDA0DDu)
	val PowderBlue = Util.colorFromAbgr8888(0xFFE6E0B0u)
	val Purple = Util.colorFromAbgr8888(0xFF800080u)
	val Red = Util.colorFromAbgr8888(0xFF0000FFu)
	val RosyBrown = Util.colorFromAbgr8888(0xFF8F8FBCu)
	val RoyalBlue = Util.colorFromAbgr8888(0xFFE16941u)
	val SaddleBrown = Util.colorFromAbgr8888(0xFF13458Bu)
	val Salmon = Util.colorFromAbgr8888(0xFF7280FAu)
	val SandyBrown = Util.colorFromAbgr8888(0xFF60A4F4u)
	val SeaGreen = Util.colorFromAbgr8888(0xFF578B2Eu)
	val SeaShell = Util.colorFromAbgr8888(0xFFEEF5FFu)
	val Sienna = Util.colorFromAbgr8888(0xFF2D52A0u)
	val Silver = Util.colorFromAbgr8888(0xFFC0C0C0u)
	val SkyBlue = Util.colorFromAbgr8888(0xFFEBCE87u)
	val SlateBlue = Util.colorFromAbgr8888(0xFFCD5A6Au)
	val SlateGray = Util.colorFromAbgr8888(0xFF908070u)
	val Snow = Util.colorFromAbgr8888(0xFFFAFAFFu)
	val SpringGreen = Util.colorFromAbgr8888(0xFF7FFF00u)
	val SteelBlue = Util.colorFromAbgr8888(0xFFB48246u)
	val Tan = Util.colorFromAbgr8888(0xFF8CB4D2u)
	val Teal = Util.colorFromAbgr8888(0xFF808000u)
	val Thistle = Util.colorFromAbgr8888(0xFFD8BFD8u)
	val Tomato = Util.colorFromAbgr8888(0xFF4763FFu)
	val Turquoise = Util.colorFromAbgr8888(0xFFD0E040u)
	val Violet = Util.colorFromAbgr8888(0xFFEE82EEu)
	val Wheat = Util.colorFromAbgr8888(0xFFB3DEF5u)
	val White = Util.colorFromAbgr8888(UInt.MAX_VALUE)
	val WhiteSmoke = Util.colorFromAbgr8888(0xFFF5F5F5u)
	val Yellow = Util.colorFromAbgr8888(0xFF00FFFFu)
	val YellowGreen = Util.colorFromAbgr8888(0xFF32CD9Au)
}
